/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.csv.record;

/**
 * blancoCsvファイル定義書から作成されたレコードクラス\nファイル定義[BlancoNLpackGeneratorResultDetail/blancoNLpackGenerator が内部的に利用するCSVファイル。翻訳フラグメントの入力ファイルとしても利用します。なお、翻訳フラグメント入力ファイルとして利用する場合には、BundleURI, Input, Output 以外の列は無視されます。]のレコードクラス\n
 */
public class BlancoNLpackGeneratorResultDetailCsvRecord {
    /**
     * 項目番号: 1\n項目の説明: URI\n文字列はダブルクオート処理されて入出力されます。\n必須項目\n
     *
     * フィールド: [BundleUri]。
     */
    private String fBundleUri;

    /**
     * 項目番号: 2\n項目の説明: Action\n文字列はダブルクオート処理されて入出力されます。\nMIN長さ: 3\n
     *
     * フィールド: [Action]。
     */
    private String fAction;

    /**
     * 項目番号: 3\n項目の説明: Key\n文字列はダブルクオート処理されて入出力されます。\nMIN長さ: 1\n
     *
     * フィールド: [Key]。
     */
    private String fKey;

    /**
     * 項目番号: 4\n項目の説明: Input\n文字列はダブルクオート処理されて入出力されます。\n
     *
     * フィールド: [Input]。
     */
    private String fInput;

    /**
     * 項目番号: 5\n項目の説明: Output\n文字列はダブルクオート処理されて入出力されます。\n
     *
     * フィールド: [Output]。
     */
    private String fOutput;

    /**
     * 項目番号: 6\n項目の説明: Note\n文字列はダブルクオート処理されて入出力されます。\n
     *
     * フィールド: [Note]。
     */
    private String fNote;

    /**
     * フィールド [BundleUri] の値を設定します。
     *
     * フィールドの説明: [項目番号: 1
     * 項目の説明: URI
     * 文字列はダブルクオート処理されて入出力されます。
     * 必須項目
     * ]。
     *
     * @param argBundleUri フィールド[BundleUri]に設定する値。
     */
    public void setBundleUri(final String argBundleUri) {
        fBundleUri = argBundleUri;
    }

    /**
     * フィールド [BundleUri] の値を取得します。
     *
     * フィールドの説明: [項目番号: 1
     * 項目の説明: URI
     * 文字列はダブルクオート処理されて入出力されます。
     * 必須項目
     * ]。
     *
     * @return フィールド[BundleUri]から取得した値。
     */
    public String getBundleUri() {
        return fBundleUri;
    }

    /**
     * フィールド [Action] の値を設定します。
     *
     * フィールドの説明: [項目番号: 2
     * 項目の説明: Action
     * 文字列はダブルクオート処理されて入出力されます。
     * MIN長さ: 3
     * ]。
     *
     * @param argAction フィールド[Action]に設定する値。
     */
    public void setAction(final String argAction) {
        fAction = argAction;
    }

    /**
     * フィールド [Action] の値を取得します。
     *
     * フィールドの説明: [項目番号: 2
     * 項目の説明: Action
     * 文字列はダブルクオート処理されて入出力されます。
     * MIN長さ: 3
     * ]。
     *
     * @return フィールド[Action]から取得した値。
     */
    public String getAction() {
        return fAction;
    }

    /**
     * フィールド [Key] の値を設定します。
     *
     * フィールドの説明: [項目番号: 3
     * 項目の説明: Key
     * 文字列はダブルクオート処理されて入出力されます。
     * MIN長さ: 1
     * ]。
     *
     * @param argKey フィールド[Key]に設定する値。
     */
    public void setKey(final String argKey) {
        fKey = argKey;
    }

    /**
     * フィールド [Key] の値を取得します。
     *
     * フィールドの説明: [項目番号: 3
     * 項目の説明: Key
     * 文字列はダブルクオート処理されて入出力されます。
     * MIN長さ: 1
     * ]。
     *
     * @return フィールド[Key]から取得した値。
     */
    public String getKey() {
        return fKey;
    }

    /**
     * フィールド [Input] の値を設定します。
     *
     * フィールドの説明: [項目番号: 4
     * 項目の説明: Input
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @param argInput フィールド[Input]に設定する値。
     */
    public void setInput(final String argInput) {
        fInput = argInput;
    }

    /**
     * フィールド [Input] の値を取得します。
     *
     * フィールドの説明: [項目番号: 4
     * 項目の説明: Input
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @return フィールド[Input]から取得した値。
     */
    public String getInput() {
        return fInput;
    }

    /**
     * フィールド [Output] の値を設定します。
     *
     * フィールドの説明: [項目番号: 5
     * 項目の説明: Output
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @param argOutput フィールド[Output]に設定する値。
     */
    public void setOutput(final String argOutput) {
        fOutput = argOutput;
    }

    /**
     * フィールド [Output] の値を取得します。
     *
     * フィールドの説明: [項目番号: 5
     * 項目の説明: Output
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @return フィールド[Output]から取得した値。
     */
    public String getOutput() {
        return fOutput;
    }

    /**
     * フィールド [Note] の値を設定します。
     *
     * フィールドの説明: [項目番号: 6
     * 項目の説明: Note
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @param argNote フィールド[Note]に設定する値。
     */
    public void setNote(final String argNote) {
        fNote = argNote;
    }

    /**
     * フィールド [Note] の値を取得します。
     *
     * フィールドの説明: [項目番号: 6
     * 項目の説明: Note
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @return フィールド[Note]から取得した値。
     */
    public String getNote() {
        return fNote;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.csv.record.BlancoNLpackGeneratorResultDetailCsvRecord[");
        buf.append("BundleUri=" + fBundleUri);
        buf.append(",Action=" + fAction);
        buf.append(",Key=" + fKey);
        buf.append(",Input=" + fInput);
        buf.append(",Output=" + fOutput);
        buf.append(",Note=" + fNote);
        buf.append("]");
        return buf.toString();
    }
}
